Name:		bolt
Version:	0.8
Release:	%mkrel 1
Summary:	Thunderbolt device manager
Group:		System/Kernel and hardware
License:	LGPLv2+
URL:		https://gitlab.freedesktop.org/bolt/bolt
Source0:	https://gitlab.freedesktop.org/bolt/bolt/-/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	asciidoc
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(polkit-agent-1)

%description
bolt is a system daemon to manage thunderbolt 3 devices via a D-BUS
API.  Thunderbolt 3 features different security modes that require
devices to be authorized before they can be used. The D-Bus API can be
used to list devices, enroll them (authorize and store them in the
local database) and forget them again (remove previously enrolled
devices). It also emits signals if new devices are connected (or
removed). During enrollment devices can be set to be automatically
authorized as soon as they are connected.  A command line tool, called
boltctl, can be used to control the daemon and perform all the above
mentioned tasks.

%prep
%setup -q

%build
%meson -Ddb-name=boltd
%meson_build

%install
%meson_install

%files
%{_bindir}/boltctl
%{_libexecdir}/boltd
%{_datadir}/dbus-1/system.d/org.freedesktop.bolt.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.bolt.xml
%{_datadir}/polkit-1/actions/org.freedesktop.bolt.policy
%{_datadir}/polkit-1/rules.d/org.freedesktop.bolt.rules
%{_datadir}/dbus-1/system-services/org.freedesktop.bolt.service
%{_mandir}/man1/boltctl.1*
%{_mandir}/man8/boltd.8*
%ghost %dir %{_localstatedir}/lib/boltd
/lib/udev/rules.d/90-bolt.rules

%changelog
* Sun Jun 30 2019 tex - 0.8-1pclos2019
- new version: 0.8
